function h=joint_histogram_d(x,y,M,N)
    % vstup x predstavuje vertikalnu os vystupu
    % vstup y predstavuje horizontalnu os vystupu
    % vstup M predstavuje počet úrovní x
    % vstup N predstavuje počet úrovní y
    
    r = size(x,1);
    c = size(y,2);
    h = zeros(M,N);

    for i = 1:r;   
        for j = 1:c;   
            h(x(i,j)+1,y(i,j)+1) = h(x(i,j)+1,y(i,j)+1)+1;
        end
    end
end


